#pragma once


#include "Config.h"

// Диалоговое окно CAYVolPan

class CBKAYVolPan : public CDialogEx
{
		DECLARE_DYNAMIC(CBKAYVolPan)

	public:
		CBKAYVolPan(CWnd *pParent = nullptr);   // стандартный конструктор
		virtual ~CBKAYVolPan() override;

// Данные диалогового окна
#ifdef AFX_DESIGN_TIME
		enum { IDD = IDD_AYVOLPAN_DLG };
#endif

	protected:
		CSliderCtrl m_ctrPanA;
		CSliderCtrl m_ctrPanB;
		CSliderCtrl m_ctrPanC;
		CSliderCtrl m_ctrVolA;
		CSliderCtrl m_ctrVolB;
		CSliderCtrl m_ctrVolC;

		CSliderCtrl m_ctrVolA2;
		CSliderCtrl m_ctrVolB2;
		CSliderCtrl m_ctrVolC2;
		// оригинальные значения, чтобы при отмене вернуть всё как было
		CConfig::AYVolPan_s m_orig;
		// тут будет храниться текущее значение
		CConfig::AYVolPan_s m_curr;
		int m_nVolA, m_nVolB, m_nVolC;      // значения в процентах, для наглядности
		int m_nPanAL, m_nPanBL, m_nPanCL;   // значения в процентах, для наглядности
		int m_nPanAR, m_nPanBR, m_nPanCR;   // значения в процентах, для наглядности
		void Save();

	protected:
		virtual void DoDataExchange(CDataExchange *pDX) override;    // поддержка DDX/DDV
		virtual BOOL OnInitDialog() override;
		virtual void OnOK() override;
		virtual void OnCancel() override;
		afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar *pScrollBar);
		afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar *pScrollBar);
		DECLARE_MESSAGE_MAP()
};
